import request from '@/utils/request'

// 查询bWwwNews列表
export function listBWwwNews(query) {
  return request({
    url: '/back/bWwwNews/list',
    method: 'get',
    params: query
  })
}

// 查询bWwwNews详细
export function getBWwwNews(id) {
  return request({
    url: '/back/bWwwNews/' + id,
    method: 'get'
  })
}

// 新增bWwwNews
export function addBWwwNews(data) {
  return request({
    url: '/back/bWwwNews',
    method: 'post',
    data: data
  })
}

// 修改bWwwNews
export function updateBWwwNews(data) {
  return request({
    url: '/back/bWwwNews',
    method: 'put',
    data: data
  })
}

// 删除bWwwNews
export function delBWwwNews(id) {
  return request({
    url: '/back/bWwwNews/' + id,
    method: 'delete'
  })
}

// 导出bWwwNews
export function exportBWwwNews(query) {
  return request({
    url: '/back/bWwwNews/export',
    method: 'get',
    params: query
  })
}